Scriptname _CD_MiscHornScript extends ObjectReference  

_CD_QuestScript Property libs Auto

Quest Property _CD_Quest Auto

Message Property _CD_MsgFailHorn Auto

int Property HornType Auto

Idle Property HornIdle Auto

Actor Property PlayerRef Auto

Event OnEquipped(Actor akActor)
	if(akActor == PlayerRef)
		if(!PlayerRef.IsInInterior() && !PlayerRef.IsWeaponDrawn())
			Game.DisablePlayerControls()
			PlayerRef.PlayIdle(HornIdle)
			Game.EnablePlayerControls()
			if(_CD_Quest.IsRunning())
				libs.BlowHorn(HornType)
			else
				_CD_Quest.Start()
				;Debug.Notification("Call Quest Started")
			endIf
		else
			_CD_MsgFailHorn.Show()
		endIf
	endIf
endEvent